%define name mdk-rpm-howto
%define version 1.1
%define release 1mdk
%define fichier mdk-rpm.howto.tar.bz2

# TODO, add icons, and uncomment all the stuff for menu

Name: %{name}
Summary: Documentation on packaging for Mandrake
Version: %{version}
Release: %{release}
Group: Books/Other
Source: http://people.mandrakesoft.com/~gc/resource/mdk-rpm.howto.tar.bz2
#Source1: %{name}.16.png.bz2
#Source2: %{name}.32.png.bz2
#Source3: %{name}.48.png.bz2
Url: http://www.linux-mandrake.com/howtos/mdk-rpm/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
License: GPL
Requires: webclient

%description
The Mdk-RPM howto is a documentation explaining how to package RPM for
Mandrake Linux. It deals with the basic procedure and with specifities
of Mandrake Linux.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n mdk-rpm 

%clean
rm -rf $RPM_BUILD_ROOT

#%install
#mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
#cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
#?package(%{name}): command="\$BROWSER  /usr/share/doc/%{name}-%{version}/index.html" \
#needs="X11" section="Documentation" title="Mdk-RPM howto" icon="%{name}.png" \
#longtitle="Documentation on RPM packaging for Mandrake" 
#EOF
#install -d $RPM_BUILD_ROOT/%{_miconsdir}
#install -d $RPM_BUILD_ROOT/%{_liconsdir}
#bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
#bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
#bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%files
%defattr(-,root,root,0755)
%doc index.html install.html mdk-rpm.css preliminary.html building.html testing.html  send.html problem.html advanced.html scripts.html upgrade.html more-macros.html mdk-groups.html mdk-menu-structure.html licenses-list.html cool-apps.html images/ process.png

#%{_menudir}/%{name}
#%{_miconsdir}/%{name}.png
#%{_iconsdir}/%{name}.png
#%{_liconsdir}/%{name}.png


#%post
#%{update_menus}

#%postun
#%{clean_menus}


%changelog
* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- from Michael Scherer <scherer.michael@free.fr> :
	- Initial package.

